Bug 24317 - Sample patron data not loading for non-English installations
Summary: Sample patron data not loading for non-English installations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 14570
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-29 22:30 UTC by Katrin Fischer
Modified: 2020-01-15 18:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24317 - Sample patron data not loading for non-English installations (151.11 KB, patch)
2019-12-30 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24317: Sample patron data not loading for non-English installations (151.37 KB, patch)
2019-12-31 00:07 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24317: Sample patron data not loading for non-English installations (151.43 KB, patch)
2019-12-31 09:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-12-29 22:30:57 UTC
Bug 14570 removed the guarantorid column from the English sample data but missed the other translated installers. This means the sample patrons can no longer be installed for other languages.
Comment 1 Kyle M Hall 2019-12-30 11:55:06 UTC
Created attachment 96678 [details] [review]
Bug 24317 - Sample patron data not loading for non-English installations

Bug 14570 removed the guarantorid column from the English sample data but missed the other translated installers. This means the sample patrons can no longer be installed for other languages.

Test Plan:
1) Attempt to install the sample patron data in German, Spanish, Norwegian, and Polish
2) Note the error
3) Apply this patch
4) Repeat step 1
5) No error!
Comment 2 Katrin Fischer 2019-12-30 12:59:52 UTC
Thx Kyle!
Comment 3 Bernardo Gonzalez Kriegel 2019-12-31 00:07:27 UTC
Created attachment 96691 [details] [review]
Bug 24317: Sample patron data not loading for non-English installations

Bug 14570 removed the guarantorid column from the English sample data but missed the other translated installers. This means the sample patrons can no longer be installed for other languages.

Test Plan:
1) Attempt to install the sample patron data in German, Spanish, Norwegian, and Polish
2) Note the error
3) Apply this patch
4) Repeat step 1
5) No error!

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

On top of Bug 24316 + followup

Tested doing clean install for de-DE es-ES fr-CA it-IT nb-NO pl-PL
up to loading of all mandatory & optional data.
All languages load without problems.
A small qa error fixed in commit message.
Comment 4 Katrin Fischer 2019-12-31 09:40:43 UTC
Created attachment 96700 [details] [review]
Bug 24317: Sample patron data not loading for non-English installations

Bug 14570 removed the guarantorid column from the English sample data but missed the other translated installers. This means the sample patrons can no longer be installed for other languages.

Test Plan:
1) Attempt to install the sample patron data in German, Spanish, Norwegian, and Polish
2) Note the error
3) Apply this patch
4) Repeat step 1
5) No error!

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

On top of Bug 24316 + followup

Tested doing clean install for de-DE es-ES fr-CA it-IT nb-NO pl-PL
up to loading of all mandatory & optional data.
All languages load without problems.
A small qa error fixed in commit message.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-01-02 12:19:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Lucas Gass 2020-01-15 18:21:24 UTC
missing dependencies for 19.05.x, no backport